package it.unibas.indovinam2pinco.controllo;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import it.unibas.indovinam2pinco.modello.*;
import it.unibas.pinco.framework.Applicazione;

public class AzioneIniziaPartita implements it.unibas.pinco.azioni.Azione {
    
    private boolean richiestaCorretta(HttpServletRequest request) {
        String nome = request.getParameter("nome");
        if (nome == null) {
            return false;
        }
        return true;
    }
    
    public String esegui(HttpServletRequest request){
        if (!richiestaCorretta(request)) {
            return "errore";
        }
        HttpSession session = request.getSession(true);
        String nome = request.getParameter("nome");
        Partita partita = new Partita();
        partita.setNome(nome);
        session.setAttribute("partita", partita);
        ServletContext application = session.getServletContext();
        synchronized (application) {
            Integer numeroGiocatori = (Integer)application.getAttribute("numeroGiocatori");
            application.setAttribute("numeroGiocatori", new Integer(numeroGiocatori.intValue() + 1));
        }
        Applicazione.logInfo("AzioneIniziaPartita", "esegui", "Il giocatore " + partita.getNome() + " ha cominciato la partita");
        return "successo";
    }
}

