package it.unibas.indovinam2pinco.modello;

public class Partita {

    private String nome;
    private int numeroDaIndovinare;
    private int numeroDiTentativi;
    private boolean trovato;
    private String suggerimento;

    public Partita() {
        numeroDaIndovinare = Math.abs(new java.util.Random().nextInt() % 100) + 1;
        trovato = false;
        numeroDiTentativi = 0;
        suggerimento = "Ho scelto un numero tra 1 e 100. Prova a indovinarlo.";
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public void setTentativo(int t) {
        if ((t < 1) || (t > 100)) {
            suggerimento = "Prova con un numero tra 1 e 100";
        } else {
            numeroDiTentativi++;
            if (t == numeroDaIndovinare) {
                trovato = true;
                suggerimento = "Numero indovinato";
            } else if (t < numeroDaIndovinare) {
                suggerimento = "Prova con un numero piu' alto";
            } else if (t > numeroDaIndovinare) {
                suggerimento = "Prova con un numero piu' basso";
            }
        }
    }

    public boolean getTrovato() {
        return trovato;
    }

    public String getSuggerimento() {
        return suggerimento;
    }

    public int getNumeroDiTentativi() {
        return numeroDiTentativi;
    }

    public int getNumeroDaIndovinare() {
        return numeroDaIndovinare;
    }

    public String getNome() {
        return nome;
    }

}
