package it.unibas.indovinam2pinco.test.prestazioni;

import it.unibas.indovinam2pinco.test.funzionali.TestPartita;
import junit.framework.Test;
import junit.framework.TestSuite;
import com.clarkware.junitperf.TestFactory;
import com.clarkware.junitperf.ConstantTimer;
import com.clarkware.junitperf.LoadTest;
import com.clarkware.junitperf.TimedTest;
import com.clarkware.junitperf.Timer;
        
public class TestPartitaPrestazioni {
    
    public static TestSuite suite() {
        
        int numUtenti = 10;
        long durataMassima = 5000;
        
        Timer timer = new ConstantTimer(500);
        
        Test testPartita = new TestFactory(TestPartita.class);
        Test timerTest = new TimedTest(testPartita, durataMassima);
        Test loadTest = new LoadTest(timerTest, numUtenti, timer);
        
        TestSuite suite = new TestSuite();
        suite.addTest(loadTest);
        return suite;
                
    }
    
}
