package it.unibas.indovinam2pinco.controllo;

import javax.servlet.ServletContext;
import it.unibas.indovinam2pinco.modello.*;
import it.unibas.pinco.framework.Applicazione;
        
public class AzioneInizialeIndovina implements it.unibas.pinco.azioni.AzioneIniziale {

    public void esegui(ServletContext servletContext){
         String pathReale = servletContext.getRealPath("/record.txt");
         Record record = Record.getInstance();
         record.setNomeFileRecord(pathReale);
         servletContext.setAttribute("record", record);
         servletContext.setAttribute("numeroGiocatori", new Integer(0));
         Applicazione.logInfo("AzioneInizialeIndovina", "esegui", "Inizializzazione completata");
    }
}

