<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ page errorPage="errore.jsp" %>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML Basic 1.0//EN"
               "DTD-xhtmlbasic/xhtml-basic10.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="it">

<head>
<meta name="author" content="G. Mecca - mecca@unibas.it" />
<title>Effettua un tentativo</title>
<link rel="stylesheet" href="indovina.css" type="text/css" />
</head>

<body>

<p>Corso di Tecnologie di Sviluppo per il Web - Universit&agrave; della Basilicata</p>

<div class="pageTitle">
    <img src="icons/titoloWeb.gif" alt="Immagine del Titolo: Corso di Tecnologie di Sviluppo per il Web" width="562" height="61" />
</div>

<h2>In questo momento la partita &egrave; in corso</h2>
<p>In questo momento stanno giocando <strong>${numeroGiocatori}</strong> giocatori</p>
<h1>${partita.suggerimento}</h1>
<p>Finora hai effettuato ${partita.numeroDiTentativi} tentativi</p>
<p><strong>${partita.nome}</strong>, inserisci il tuo tentativo</p>

<form method="post" action="<c:url value="gestisciTentativo.cmd" />">
<p><input type="text" name="tentativo" />
<input type="submit" value="Gioca" /></p>
</form>

<form method="post" action="<c:url value="interrompiPartita.cmd" />">
<p><input type="submit" value="Interrompi" /></p>
</form>

<p><img src="icons/numberguess.gif" width="150" height="150" alt="immagine decorativa" /></p>

<div class="footer">

     <a href="http://validator.w3.org/check/referer">
       <img src="icons/valid-xhtml1088x31.gif"
            alt="Valid XHTML 1.0" height="31" width="88" /></a>

     <a href="http://jigsaw.w3.org/css-validator/validator.html.en">
       <img src="icons/valid-css88x31.gif"
            alt="Valid CSS" height="31" width="88" /></a>

     Gianni Mecca - mecca@unibas.it
</div>

<pinco:logoPinco />

</body>
</html>
